## r-bioc-metapod 1.2.0+dfsg

=== DESCRIPTION ===
Package: metapod
Version: 1.2.0
Date: 2021-05-12
Title: Meta-Analyses on P-Values of Differential Analyses
Authors@R: 
    person("Aaron", "Lun", role=c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com")
Imports: Rcpp
Suggests: testthat, knitr, BiocStyle, rmarkdown
LinkingTo: Rcpp
biocViews: MultipleComparison, DifferentialPeakCalling
Description: 
    Implements a variety of methods for combining p-values in differential
    analyses of genome-scale datasets. Functions can combine p-values across
    different tests in the same analysis (e.g., genomic windows in ChIP-seq,
    exons in RNA-seq) or for corresponding tests across separate analyses
    (e.g., replicated comparisons, effect of different treatment conditions).
    Support is provided for handling log-transformed input p-values, missing
    values and weighting where appropriate. 
License: GPL-3
NeedsCompilation: yes
SystemRequirements: C++11
VignetteBuilder: knitr
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/metapod
git_branch: RELEASE_3_14
git_last_commit: 0da37b6
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
Packaged: 2021-10-26 21:51:07 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2021 11:03:07 +0100

r-bioc-metapod (1.0.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * d/t/{run-unit-test,autopkgtest-pkg-r.hook}: Ignore one
    failing test on armhf and ppc64el

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Sep 2021 11:40:34 +0530

r-bioc-metapod (1.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fixed debian/watch for BioConductor
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Tighten B-D, add patch to tighten Dependency on rcpp (>= 1.0.7)
    + This would pull in the right version of rcpp that metapod has
      been compiled against, fixing debci

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Sep 2021 03:20:10 +0530

r-bioc-metapod (1.0.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Sep 2021 18:45:39 +0530

r-bioc-metapod (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #994167)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Sep 2021 07:29:51 +0200

=== debian/control ===
Source: r-bioc-metapod
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-metapod
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-metapod.git
Homepage: https://bioconductor.org/packages/metapod/
Rules-Requires-Root: no

Package: r-bioc-metapod
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R meta-analyses on P-Values of differential analyses
 Implements a variety of methods for combining p-values in differential
 analyses of genome-scale datasets. Functions can combine p-values across
 different tests in the same analysis (e.g., genomic windows in ChIP-seq,
 exons in RNA-seq) or for corresponding tests across separate analyses
 (e.g., replicated comparisons, effect of different treatment conditions).
 Support is provided for handling log-transformed input p-values, missing
 values and weighting where appropriate.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/metapod.html .*/metapod_(.*).tar.gz

## r-bioc-metapod 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: metapod
-Version: 1.2.0
+Version: 1.4.0
 Date: 2021-05-12
 Title: Meta-Analyses on P-Values of Differential Analyses
 Authors@R: 
@@ -22,10 +22,10 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/metapod
-git_branch: RELEASE_3_14
-git_last_commit: 0da37b6
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 21:51:07 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: e71c207
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 21:05:07 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 13:24:34 +0200

## r-bioc-metapod 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: metapod
-Version: 1.4.0
+Version: 1.6.0
 Date: 2021-05-12
 Title: Meta-Analyses on P-Values of Differential Analyses
 Authors@R: 
@@ -22,10 +22,10 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/metapod
-git_branch: RELEASE_3_15
-git_last_commit: e71c207
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 21:05:07 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: cfeaa95
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 21:58:37 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.6.0+dfsg-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 20:34:51 +0100

r-bioc-metapod (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 11:14:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-bioc-metapod
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-metapod
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-metapod.git
+Homepage: https://bioconductor.org/packages/metapod/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-metapod
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-metapod.git
-Homepage: https://bioconductor.org/packages/metapod/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-metapod
 Architecture: any

## r-bioc-metapod 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: metapod
-Version: 1.6.0
+Version: 1.8.0
 Date: 2021-05-12
 Title: Meta-Analyses on P-Values of Differential Analyses
 Authors@R: 
@@ -22,10 +22,10 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/metapod
-git_branch: RELEASE_3_16
-git_last_commit: cfeaa95
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 21:58:37 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 6ac6999
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 21:38:32 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.8.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 16:33:43 +0200

## r-bioc-metapod 1.10.1%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: metapod
-Version: 1.8.0
-Date: 2021-05-12
+Version: 1.10.1
+Date: 2023-12-22
 Title: Meta-Analyses on P-Values of Differential Analyses
 Authors@R: 
     person("Aaron", "Lun", role=c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com")
@@ -22,10 +22,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/metapod
-git_branch: RELEASE_3_17
-git_last_commit: 6ac6999
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 21:38:32 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 88465ba
+git_last_commit_date: 2023-12-22
+Repository: Bioconductor 3.18
+Date/Publication: 2023-12-24
+Packaged: 2023-12-24 22:46:18 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jan 2024 13:55:57 +0100

r-bioc-metapod (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 21:07:30 +0100

## r-bioc-metapod 1.10.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-metapod
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-metapod.git
 Homepage: https://bioconductor.org/packages/metapod/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-metapod 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: metapod
-Version: 1.10.1
+Version: 1.12.0
 Date: 2023-12-22
 Title: Meta-Analyses on P-Values of Differential Analyses
 Authors@R: 
@@ -22,11 +22,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/metapod
-git_branch: RELEASE_3_18
-git_last_commit: 88465ba
-git_last_commit_date: 2023-12-22
-Repository: Bioconductor 3.18
-Date/Publication: 2023-12-24
-Packaged: 2023-12-24 22:46:18 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 4f07cb9
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 04:33:02 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:41:10 +0200

r-bioc-metapod (1.12.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 14:04:25 +0200

r-bioc-metapod (1.12.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 10:52:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-rcpp
@@ -20,7 +21,8 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: GNU R meta-analyses on P-Values of differential analyses
  Implements a variety of methods for combining p-values in differential
  analyses of genome-scale datasets. Functions can combine p-values across

## r-bioc-metapod 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: metapod
-Version: 1.12.0
+Version: 1.14.0
 Date: 2023-12-22
 Title: Meta-Analyses on P-Values of Differential Analyses
 Authors@R: 
@@ -22,11 +22,11 @@
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/metapod
-git_branch: RELEASE_3_19
-git_last_commit: 4f07cb9
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 04:33:02 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: bf476aa
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 01:30:00 UTC; biocbuild
 Author: Aaron Lun [aut, cre]
 Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-metapod (1.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 17:58:42 +0100

r-bioc-metapod (1.14.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 10:29:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-metapod
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-metapod.git
 Homepage: https://bioconductor.org/packages/metapod/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               architecture-is-64-bit,
                dh-r,
                r-base-dev,
-               r-cran-rcpp
+               r-cran-rcpp,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-metapod
@@ -21,8 +21,7 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: GNU R meta-analyses on P-Values of differential analyses
  Implements a variety of methods for combining p-values in differential
  analyses of genome-scale datasets. Functions can combine p-values across
